ZWrtTextInternal::Section Struct Reference

Internal: struct used to store a section of a ZWrtText. More...

## Public Member Functions

| Section ()
| constructor

## Public Attributes

int | m_id
| the section id
MWAWEntry | m_pos
| the text position
std::string | m_name
| the section name
std::map< long, Font > | m_idFontMap
| a map pos -> font
bool | m_parsed
| true if the section is parsed

## Detailed Description

Internal: struct used to store a section of a ZWrtText.

## Constructor & Destructor Documentation

## Section()

ZWrtTextInternal::Section::Section | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_id

int ZWrtTextInternal::Section::m_id

the section id

Referenced by Section(), and ZWrtText::sendText().

## m_idFontMap

std::map<long,Font> ZWrtTextInternal::Section::m_idFontMap

a map pos -> font

Referenced by Section(), and ZWrtText::sendText().

## m_name

std::string ZWrtTextInternal::Section::m_name

the section name

Referenced by Section(), and ZWrtText::sendText().

## m_parsed

bool ZWrtTextInternal::Section::m_parsed

mutable

true if the section is parsed

Referenced by Section(), and ZWrtText::sendText().

## m_pos

MWAWEntry ZWrtTextInternal::Section::m_pos

the text position

Referenced by Section(), and ZWrtText::sendText().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx